<bugID>748802<Summary>browser-thumbnails.js uses global private browsing state instead of per-window state</Summary><Description>This should be an easy fix. The patch for bug 744743 uses gPrivateBrowsingUI.privateBrowsingEnabled; we want to change it to gPrivateBrowsing.privateWindow and ensure that the functionality remains the same. ttaubert should be able to present a series of steps to do so, but ideally we would actually have an automated test to verify this behaviour.</Description></bugID>